Skip to main content
GET
/
2023-11
/
admin
/
products
{
  "data": [],
  "links": {
    "first": "http://genuka-api.test/2023-11/admin/products?page=1",
    "last": "http://genuka-api.test/2023-11/admin/products?page=1",
    "next": null,
    "prev": null
  },
  "meta": {
    "current_page": 1,
    "from": null,
    "last_page": 1,
    "links": [
      {
        "active": false,
        "label": "« Previous",
        "page": null,
        "url": null
      },
      {
        "active": true,
        "label": "1",
        "page": 1,
        "url": "http://genuka-api.test/2023-11/admin/products?page=1"
      },
      {
        "active": false,
        "label": "Next »",
        "page": null,
        "url": null
      }
    ],
    "path": "http://genuka-api.test/2023-11/admin/products",
    "per_page": 10,
    "to": null,
    "total": 0
  }
}

TypeScript SDK Example

import Genuka from "genuka-api";
const genuka = Genuka.initialize({ id: companyId });
await genuka.products.list({ page: 1, limit: 20 });

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-company
string
Example:

"{{companyId}}"

Query Parameters

page
string
Example:

"1"

per_page
string
Example:

"10"

filter[type]
string
Example:

"services"

sort
string
Example:

"title"

include
string
Example:

"shops"

anonymous
string
Example:

"false"

locale
string
Example:

"en"

filter%5Bactive%5D
string
Example:

"false"

simple_paginate
string
Example:

"true"

filter[published]
string
Example:

"0"

cypress_test
string
Example:

"true"

deleted_at
string

Response

200 - application/json

200 / 200 OK

data
any[]
Example:
[]
meta
object